
types = ["friend", "teacher", "student", "schoolmate", "parent", "best friend", "instructor", "labmate", "TA", "mate"]

FactoryGirl.define do
  factory(:relations, class: "CoAuthorRelation") do |f|
    f.sequence(:relation_translations) do |n|
      { zh_tw: "#{types[n%types.size]}",
            en: "#{types[n%types.size]}" }
    end
  end
end
